<?php
require_once ROOT_DIR . '/lib/timezone.php';
$parameters = include ROOT_DIR . '/config/parameters.php';
$config = Utils::arrayMergeRecursive(array(
    // Environment info
    'env' => 'prod', // 'dev' / 'prod'
    // Other (do not modify manually)
    'services' => array(
        'configuration' => array(
            'appSettingsFile' => 'app.settings.php'
        ),
        'memory' => array(
            'file' => 'data/memory.dat'
        ),
        'logger' => array(
            'file'        => 'data/log.dat',
            'logErrors'   => true,
            'logWarnings' => true,
            'logInfos'    => true
        ),
        'mailer' => array(
            'smtp'       => false,
            'smtpSecure' => 'ssl',
            'smtpHost'   => 'localhost',
            'smtpUser'   => 'contato@peopleconnect.com.br',
            'smtpPass'   => '@9908!8663dsa',
            'smtpPort'   => 465
        )
    ),
    'dbType' => 'mysql',
    'avatarImageSize' => 40,
    'defaultSettings' => array(
        'widgetTheme'            => 'widget-themes/original',
        'notificationIcon'       => 'img/notification.png',
        'primaryColor'           => '#36a9e1',
        'secondaryColor'         => '#86C953',
        'labelColor'             => '#ffffff',
        'hideWhenOffline'        => false,
        'autoShowWidget'         => 'true',
        'autoShowWidgetAfter'    =>   10,
        'contactMail'            => 'ezo@ezo.com.br',
        'loadingLabel'           => 'Carregando...',
        'loginError'             => 'Erro no login',
        'chatHeader'             => 'Fale conosco',
        'startInfo'              => 'Preencha os campos a seguir para iniciar o atendimento',
        'askForMail'             => 'true',
        'headerHeight'           =>  55,
        'widgetWidth'            => 370,
        'widgetHeight'           => 411,
        'widgetOffset'           =>  50,
        'mobileBreakpoint'       => 550,
        'maxConnections'         =>   5,
        'messageSound'           => 'audio/default.mp3',
        'startLabel'             => 'Iniciar',
        'backLabel'              => 'Voltar',
        'initMessageBody'        => 'Ol&aacute;, como posso te ajudar?',
        'initMessageAuthor'      => 'Operador',
        'chatInputLabel'         => 'Informa sua pergunta',
        'timeDaysAgo'            => 'dia(s) atr&aacute;s',
        'timeHoursAgo'           => 'hora(s) atr&aacute;s',
        'timeMinutesAgo'         => 'minuto(s) atr&aacute;s',
        'timeSecondsAgo'         => 'segundo(s) atr&aacute;s',
        'offlineMessage'         => 'O operador ficou off-line',
        'toggleSoundLabel'       => 'Efeitos sonoros',
        'toggleScrollLabel'      => 'Rolagem autom&aacute;tica',
        'toggleEmoticonsLabel'   => 'Emoticons',
        'toggleAutoShowLabel'    => 'Mostrar automaticamente',
        'toggleFullscreenLabel'  => 'Tela-cheia',
        'endChatLabel'           => 'Finalizar o chat',
        'endChatConfirmQuestion' => 'Voc&ecirc; tem certeza?',
        'endChatConfirm'         => 'Sim',
        'endChatCancel'          => 'Cancelar',
        'contactHeader'          => 'Fale conosco',
        'contactInfo'            => 'Todos os operadores est&atilde;o off-line. Use o formul&aacute;rio a seguir para entrar em contato conosco via e-mail.',
        'contactNameLabel'       => 'Seu nome',
        'contactMailLabel'       => 'Seu e-mail',
        'contactQuestionLabel'   => 'Sua mensagem',
        'contactSendLabel'       => 'Enviar',
        'contactSuccessHeader'   => 'Mensagem enviada',
        'contactSuccessMessage'  => 'Sua mensagem foi enviada. Em breve entraremos em contato!',
        'contactErrorHeader'     => 'Erro',
        'contactErrorMessage'    => 'Ocorreu um erro no envio da sua mensagem'
    )
), $parameters);
// Generate connection strings
$config['dbConnectionRaw_mysql'] = 'mysql:host=' . $config['dbHost'] . ';port=' . $config['dbPort'];
$config['dbConnection_mysql']    = 'mysql:dbname=' . $config['dbName'] . ';host=' . $config['dbHost'] . ';port=' . $config['dbPort'];
// Used connection strings
$config['dbConnectionRaw'] = $config['dbConnectionRaw_' . $config['dbType']];
$config['dbConnection']    = $config['dbConnection_'    . $config['dbType']];
return $config;
?>
